List renewal cycles
curl --request GET \
--url https://api.tagada.io/v1/renewal-cycles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagada.io/v1/renewal-cycles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagada.io/v1/renewal-cycles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/renewal-cycles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/renewal-cycles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagada.io/v1/renewal-cycles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/renewal-cycles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"amount": 1073741823,
"card_update_until": "2023-11-07T05:31:56Z",
"concluded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"customer": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"ending": "cancel",
"id": "<string>",
"mode": "live",
"next_try_at": "2023-11-07T05:31:56Z",
"notice_sent_at": "2023-11-07T05:31:56Z",
"object": "renewal_cycle",
"outcome_reason": "<string>",
"payment_method": "<string>",
"period_ref": "<string>",
"policy_version": "<string>",
"status": "scheduled",
"store": "<string>",
"subscription_group_id": "<string>",
"subscription_id": "<string>",
"test_clock": "<string>",
"tries": [
{
"amount": 1073741823,
"payment": "<string>",
"priced": true,
"processor": "<string>",
"retry": 1,
"state": "trying",
"switched": true
}
]
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}Renewal cycles
List renewal cycles
Newest first, scoped to account/mode/store, with opaque cursor pagination.
GET
/
v1
/
renewal-cycles
List renewal cycles
curl --request GET \
--url https://api.tagada.io/v1/renewal-cycles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagada.io/v1/renewal-cycles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagada.io/v1/renewal-cycles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagada.io/v1/renewal-cycles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagada.io/v1/renewal-cycles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagada.io/v1/renewal-cycles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagada.io/v1/renewal-cycles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"amount": 1073741823,
"card_update_until": "2023-11-07T05:31:56Z",
"concluded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"customer": "<string>",
"due_at": "2023-11-07T05:31:56Z",
"ending": "cancel",
"id": "<string>",
"mode": "live",
"next_try_at": "2023-11-07T05:31:56Z",
"notice_sent_at": "2023-11-07T05:31:56Z",
"object": "renewal_cycle",
"outcome_reason": "<string>",
"payment_method": "<string>",
"period_ref": "<string>",
"policy_version": "<string>",
"status": "scheduled",
"store": "<string>",
"subscription_group_id": "<string>",
"subscription_id": "<string>",
"test_clock": "<string>",
"tries": [
{
"amount": 1073741823,
"payment": "<string>",
"priced": true,
"processor": "<string>",
"retry": 1,
"state": "trying",
"switched": true
}
]
}
],
"has_more": true,
"next_cursor": "<string>",
"object": "list"
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}{
"error": {
"code": "amount_out_of_range",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"type": "invalid_request_error",
"details": {
"credential_reason": "inactive_instrument",
"cycle_id": "<string>",
"earliest_at": "2023-11-07T05:31:56Z",
"first_seen": true,
"reason": "store_not_on_payments_api"
}
}
}Authorizations
Secret, platform or publishable API key. Platform keys require Payments-Account.
Headers
Required for platform keys; refused for secret/publishable keys.
Available options:
2026-11-01 Query Parameters
Required range:
1 <= x <= 100Minimum string length:
1Pattern:
^store_[a-f0-9]{12}$Available options:
scheduled, trying, waiting_retry, waiting_card_update, waiting_customer, waiting_merchant, succeeded, failed, canceled Cycles collecting this subscription, alone or through its group.
Minimum string length:
1